com.holonplatform.vaadin.flow.components.builders

## Interface SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    ComponentConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, DeferrableLocalizationConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, FocusableConfigurator<com.vaadin.flow.component.Component,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasAutofocusConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasDeferrableLocalization, HasElementConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasEnabledConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasItemCaptionConfigurator<com.holonplatform.core.property.PropertyBox,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasItemEnableConfigurator<com.holonplatform.core.property.PropertyBox,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasItemsConfigurator<com.holonplatform.core.property.PropertyBox,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasLabelConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasPlaceholderConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasPropertyBoxDatastoreDataProviderConfigurator<SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasSizeConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, HasStyleConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,SingleSelect<T>,ValidatableSingleSelect<T>,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>,SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, ItemSetConfigurator<SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, PropertySelectInputConfigurator<T,T,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, SelectableInputConfigurator<T,T,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, SingleSelectableInputConfigurator<T,com.holonplatform.core.property.PropertyBox,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, SingleSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>
  Enclosing interface:
    SingleSelectConfigurator<T,ITEM,B extends SingleSelectConfigurator<T,ITEM,B>>

      public static interface SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>
      extends SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,SingleSelect<T>,ValidatableSingleSelect<T>,SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>,SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>>

  `Property` model based `SingleSelect` input builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectConfigurator

      `SingleSelectConfigurator.DatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.DatastorePropertySingleSelectInputConfigurator<T,C extends SingleSelectConfigurator.DatastorePropertySingleSelectInputConfigurator<T,C>>, SingleSelectConfigurator.DatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.DatastoreSingleSelectInputConfigurator<T,ITEM,C extends SingleSelectConfigurator.DatastoreSingleSelectInputConfigurator<T,ITEM,C>>, SingleSelectConfigurator.PropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends SingleSelectConfigurator.PropertySingleSelectInputConfigurator<T,D,C>>, SingleSelectConfigurator.SingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.SingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends SingleSelectConfigurator.SingleSelectInputConfigurator<T,ITEM,D,C>>, SingleSelectConfigurator.ValidatableDatastorePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableDatastoreSingleSelectInputBuilder<T,ITEM>, SingleSelectConfigurator.ValidatablePropertySingleSelectInputBuilder<T>, SingleSelectConfigurator.ValidatableSingleSelectInputBuilder<T,ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectConfigurator.PropertySingleSelectInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectConfigurator

      `create, create, create, create, emptySelectionAllowed, emptySelectionCaption, emptySelectionCaption, emptySelectionCaption, itemLabelGenerator, renderer, withDropDownComponent, withDropDownComponentAfter, withDropDownComponentAsFirst, withDropDownComponentBefore, withPrefixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemEnableConfigurator

      `itemEnabledProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPropertyBoxDatastoreDataProviderConfigurator

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDataProviderConfigurator

      `addItem, dataSource, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertySelectInputConfigurator

      `itemCaptionProperty`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

Copyright © 2019 The Holon Platform. All rights reserved.